API Reference
Send plug-in event with schedule
Submit a charging schedule and receive a modified schedule.
POST
/
entities
/
asset
/
{asset_id}
/
event
/
plug-in-schedule
Asset Plug In Schedule Event
curl --request POST \
--url https://api-sandbox.axle.energy/entities/asset/{asset_id}/event/plug-in-schedule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"charging_schedule": [
{
"start_timestamp": "<string>",
"end_timestamp": "<string>"
}
]
}
'import requests
url = "https://api-sandbox.axle.energy/entities/asset/{asset_id}/event/plug-in-schedule"
payload = { "charging_schedule": [
{
"start_timestamp": "<string>",
"end_timestamp": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({charging_schedule: [{start_timestamp: '<string>', end_timestamp: '<string>'}]})
};
fetch('https://api-sandbox.axle.energy/entities/asset/{asset_id}/event/plug-in-schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"modified_charging_schedule": [
{
"start_timestamp": "<string>",
"end_timestamp": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
This is the original charging schedule which will be modified and returned to the client in the response. Used in WSLite integration model.
Show child attributes
Show child attributes
Response
Modified charging schedule successfully retrieved
This is the modified charging schedule which will be returned to the client. Used in WSLite integration model.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Asset Plug In Schedule Event

